Bug 27929 - Regex option in item batch modification is hidden for itemcallnumber if 952$o linked to cn_browser plugin
Summary: Regex option in item batch modification is hidden for itemcallnumber if 952$o...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 21959
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-11 14:11 UTC by Andrew Fuerste-Henry
Modified: 2022-06-06 20:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.08


Attachments
Bug 27929: Allow regex for subfield linked with cataloguing plugin (1.24 KB, patch)
2021-03-11 15:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27929: Allow regex for subfield linked with cataloguing plugin (1.30 KB, patch)
2021-06-07 12:16 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 27929: Allow regex for subfield linked with cataloguing plugin (1.36 KB, patch)
2021-06-11 17:45 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27929: (QA follow-up) Hide tag editor on regex (1.71 KB, patch)
2021-06-11 17:45 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-03-11 14:11:36 UTC
To test:
- Confirm that you have the 952$o linked to the cn_browser.pl plugin in the default framework
- send one or more items to batch mod
- confirm that the call number field does not give you a regex option
- inspect the call number field in your browser, confirm the regex controls are there but not displayed (<span name="regex_fields" style="display: none;">)
- go back to your default framework, unlink the 952$o from the plugin
- reload your batch mod, confirm regex shows
Comment 1 Jonathan Druart 2021-03-11 15:22:49 UTC
Created attachment 118148 [details] [review]
Bug 27929: Allow regex for subfield linked with cataloguing plugin
Comment 2 Jonathan Druart 2021-03-11 15:23:43 UTC
Should we allow it for all subfields linked with a cataloguing plugin or cn_browser is an exception?

This patch is not perfect as the "..." of the plugin must be hidden when regex is checked.
Comment 3 Katrin Fischer 2021-06-04 09:32:49 UTC
I think it would make sense to show the regex option independent of the cataloguing plugin. Examples I can think of:

- dateaccessioned: I could make sense to change them in batch, it's only a date.
- barcode: It could make sense. to change a branch prefix maybe? Not sure, but would not hurt.
- stocknumber: often also linked to a plugin, batch edit could also make sense for old data here.
Comment 4 Jonathan Druart 2021-06-07 09:31:07 UTC
See test plan from comment 0.
Comment 5 Andrew Fuerste-Henry 2021-06-07 12:16:39 UTC
Created attachment 121660 [details] [review]
Bug 27929: Allow regex for subfield linked with cataloguing plugin

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 6 Nick Clemens 2021-06-11 17:45:19 UTC
Created attachment 121870 [details] [review]
Bug 27929: Allow regex for subfield linked with cataloguing plugin

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Nick Clemens 2021-06-11 17:45:22 UTC
Created attachment 121871 [details] [review]
Bug 27929: (QA follow-up) Hide tag editor on regex

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Jonathan Druart 2021-06-21 10:05:21 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-06-25 13:44:15 UTC
Pushed to 21.05.x for 21.05.02
Comment 10 Fridolin Somers 2021-07-10 01:39:55 UTC
Pushed to 20.11.x for 20.11.08
Comment 11 Victor Grousset/tuxayo 2021-07-10 23:36:22 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.